Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.parser
Class IdlType

    java.lang.Object
      |
      +--org.openorb.compiler.parser.IdlType

public class IdlType
extends java.lang.Object

This class represents the constants describing the IDL types

Version:
  $Revision: 1.5 $ $Date: 2002/08/21 08:19:25 $
Author:
  Jerome Daniel

Field Summary
`static int` | `e_any`
`static int` | `e_array`
`static int` | `e_attribute`
`static int` | `e_const`
`static int` | `e_context`
`static int` | `e_enum`
`static int` | `e_enum_member`
`static int` | `e_exception`
`static int` | `e_factory`
`static int` | `e_factory_member`
`static int` | `e_fixed`
`static int` | `e_forward_interface`
`static int` | `e_forward_value`
`static int` | `e_ident`
`static int` | `e_import`
`static int` | `e_include`
`static int` | `e_interface`
`static int` | `e_module`
`static int` | `e_native`
`static int` | `e_operation`
`static int` | `e_param`
`static int` | `e_raises`
`static int` | `e_root`
`static int` | `e_sequence`
`static int` | `e_simple`
`static int` | `e_state_member`
`static int` | `e_string`
`static int` | `e_struct`
`static int` | `e_struct_member`
`static int` | `e_typedef`
`static int` | `e_union`
`static int` | `e_union_member`
`static int` | `e_value`
`static int` | `e_value_box`
`static int` | `e_value_inheritance`
`static int` | `e_wstring`

Constructor Summary
`IdlType()`

Method Summary
`static java.lang.String` | `toString(int type)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### e_root

    public static final int e_root

### e_module

    public static final int e_module

### e_enum

    public static final int e_enum

### e_struct

    public static final int e_struct

### e_union

    public static final int e_union

### e_string

    public static final int e_string

### e_wstring

    public static final int e_wstring

### e_const

    public static final int e_const

### e_simple

    public static final int e_simple

### e_sequence

    public static final int e_sequence

### e_ident

    public static final int e_ident

### e_struct_member

    public static final int e_struct_member

### e_union_member

    public static final int e_union_member

### e_typedef

    public static final int e_typedef

### e_exception

    public static final int e_exception

### e_interface

    public static final int e_interface

### e_operation

    public static final int e_operation

### e_attribute

    public static final int e_attribute

### e_forward_interface

    public static final int e_forward_interface

### e_param

    public static final int e_param

### e_raises

    public static final int e_raises

### e_context

    public static final int e_context

### e_enum_member

    public static final int e_enum_member

### e_any

    public static final int e_any

### e_array

    public static final int e_array

### e_native

    public static final int e_native

### e_fixed

    public static final int e_fixed

### e_value_box

    public static final int e_value_box

### e_value

    public static final int e_value

### e_state_member

    public static final int e_state_member

### e_factory

    public static final int e_factory

### e_factory_member

    public static final int e_factory_member

### e_value_inheritance

    public static final int e_value_inheritance

### e_forward_value

    public static final int e_forward_value

### e_include

    public static final int e_include

### e_import

    public static final int e_import

Constructor Detail

### IdlType

    public IdlType()

Method Detail

### toString

    public static java.lang.String toString(int type)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD